## javax.faces.application
Class Application

    java.lang.Object
      javax.faces.application.Application

public abstract class Application
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Constructor Summary
`Application()`

Method Summary
`abstract void` `addComponent(java.lang.String componentType, java.lang.String componentClass)`
`abstract void` `addConverter(java.lang.Class targetClass, java.lang.String converterClass)`
`abstract void` `addConverter(java.lang.String converterId, java.lang.String converterClass)`
`abstract void` `addValidator(java.lang.String validatorId, java.lang.String validatorClass)`
`abstract UIComponent` `createComponent(java.lang.String componentType)`
`abstract UIComponent` `createComponent(ValueBinding componentBinding, FacesContext context, java.lang.String componentType)`
`abstract Converter` `createConverter(java.lang.Class targetClass)`
`abstract Converter` `createConverter(java.lang.String converterId)`
`abstract MethodBinding` `createMethodBinding(java.lang.String ref, java.lang.Class[] params)`
`abstract Validator` `createValidator(java.lang.String validatorId)`
`abstract ValueBinding` `createValueBinding(java.lang.String ref)`
`abstract ActionListener` `getActionListener()`
`abstract java.util.Iterator` `getComponentTypes()`
`abstract java.util.Iterator` `getConverterIds()`
`abstract java.util.Iterator` `getConverterTypes()`
`abstract java.util.Locale` `getDefaultLocale()`
`abstract java.lang.String` `getDefaultRenderKitId()`
`abstract java.lang.String` `getMessageBundle()`
`abstract NavigationHandler` `getNavigationHandler()`
`abstract PropertyResolver` `getPropertyResolver()`
`abstract StateManager` `getStateManager()`
`abstract java.util.Iterator` `getSupportedLocales()`
`abstract java.util.Iterator` `getValidatorIds()`
`abstract VariableResolver` `getVariableResolver()`
`abstract ViewHandler` `getViewHandler()`
`abstract void` `setActionListener(ActionListener listener)`
`abstract void` `setDefaultLocale(java.util.Locale locale)`
`abstract void` `setDefaultRenderKitId(java.lang.String renderKitId)`
`abstract void` `setMessageBundle(java.lang.String bundle)`
`abstract void` `setNavigationHandler(NavigationHandler handler)`
`abstract void` `setPropertyResolver(PropertyResolver resolver)`
`abstract void` `setStateManager(StateManager manager)`
`abstract void` `setSupportedLocales(java.util.Collection locales)`
`abstract void` `setVariableResolver(VariableResolver resolver)`
`abstract void` `setViewHandler(ViewHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Application

    public Application()

Method Detail

### getActionListener

    public abstract ActionListener getActionListener()

### setActionListener

    public abstract void setActionListener(ActionListener listener)

### getDefaultLocale

    public abstract java.util.Locale getDefaultLocale()

### setDefaultLocale

    public abstract void setDefaultLocale(java.util.Locale locale)

### getDefaultRenderKitId

    public abstract java.lang.String getDefaultRenderKitId()

### setDefaultRenderKitId

    public abstract void setDefaultRenderKitId(java.lang.String renderKitId)

### getMessageBundle

    public abstract java.lang.String getMessageBundle()

### setMessageBundle

    public abstract void setMessageBundle(java.lang.String bundle)

### getNavigationHandler

    public abstract NavigationHandler getNavigationHandler()

### setNavigationHandler

    public abstract void setNavigationHandler(NavigationHandler handler)

### getPropertyResolver

    public abstract PropertyResolver getPropertyResolver()

### setPropertyResolver

    public abstract void setPropertyResolver(PropertyResolver resolver)

### getVariableResolver

    public abstract VariableResolver getVariableResolver()

### setVariableResolver

    public abstract void setVariableResolver(VariableResolver resolver)

### getViewHandler

    public abstract ViewHandler getViewHandler()

### setViewHandler

    public abstract void setViewHandler(ViewHandler handler)

### getStateManager

    public abstract StateManager getStateManager()

### setStateManager

    public abstract void setStateManager(StateManager manager)

### addComponent

    public abstract void addComponent(java.lang.String componentType,
                                      java.lang.String componentClass)

### createComponent

    public abstract UIComponent createComponent(java.lang.String componentType)
                                         throws FacesException

  Throws:
    `FacesException`

### createComponent

    public abstract UIComponent createComponent(ValueBinding componentBinding,
                                                FacesContext context,
                                                java.lang.String componentType)
                                         throws FacesException

  Throws:
    `FacesException`

### getComponentTypes

    public abstract java.util.Iterator getComponentTypes()

### addConverter

    public abstract void addConverter(java.lang.String converterId,
                                      java.lang.String converterClass)

### addConverter

    public abstract void addConverter(java.lang.Class targetClass,
                                      java.lang.String converterClass)

### createConverter

    public abstract Converter createConverter(java.lang.String converterId)

### createConverter

    public abstract Converter createConverter(java.lang.Class targetClass)

### getConverterIds

    public abstract java.util.Iterator getConverterIds()

### getConverterTypes

    public abstract java.util.Iterator getConverterTypes()

### createMethodBinding

    public abstract MethodBinding createMethodBinding(java.lang.String ref,
                                                      java.lang.Class[] params)
                                               throws ReferenceSyntaxException

  Throws:
    `ReferenceSyntaxException`

### getSupportedLocales

    public abstract java.util.Iterator getSupportedLocales()

### setSupportedLocales

    public abstract void setSupportedLocales(java.util.Collection locales)

### addValidator

    public abstract void addValidator(java.lang.String validatorId,
                                      java.lang.String validatorClass)

### createValidator

    public abstract Validator createValidator(java.lang.String validatorId)
                                       throws FacesException

  Throws:
    `FacesException`

### getValidatorIds

    public abstract java.util.Iterator getValidatorIds()

### createValueBinding

    public abstract ValueBinding createValueBinding(java.lang.String ref)
                                             throws ReferenceSyntaxException

  Throws:
    `ReferenceSyntaxException`